package app.furmeet.events.system.helper

import androidx.viewpager.widget.ViewPager
import com.google.android.material.tabs.TabLayout

fun TabLayout.fullSetup(viewPager: ViewPager) {
    this.setupWithViewPager(viewPager)
    viewPager.addOnPageChangeListener(TabLayout.TabLayoutOnPageChangeListener(this))
    this.addOnTabSelectedListener(TabLayout.ViewPagerOnTabSelectedListener(viewPager))
}